import React from "react";
import styled from "styled-components";
import { Container } from "../../Atoms/Container";
import { NavBar } from "../../Organisms/NavBar/NavBar";

const StyledElsaHomePage = styled.div``;

const colors = {
  cyan: "#5ac1d2",
  purple: "#974b97",
  white: "#fff",
  darkGray: "#333",
  lightGray: "whitesmoke",
  black: "#000",
};

const menuItems = [
  {
    link: "/",
    label: "Home",
  },
  {
    link: "/donate",
    label: "Donate",
  },
  {
    link: "",
    label: "Get Involved",
    subMenu: [
      {
        link: "/school",
        label: "School",
      },
      {
        link: "/business",
        label: "Business",
      },
      {
        link: "/volunteer",
        label: "Volunteer",
      },
    ],
  },
  {
    link: "/events",
    label: "Our Events",
  },
  {
    link: "/success",
    label: "Success Stories",
  },
  {
    link: "/contact",
    label: "Contact Us",
  },
  {
    link: "/about",
    label: "About Us",
  },
  {
    link: "/newsletter",
    label: "Newsletter",
  },
];

export const ElsaHomePage = () => (
  <StyledElsaHomePage>
    <Container width="100%" flexRow height="80px" centerVertical>
      <Container>
        <a href="/">
          <img
            src="https://elsa-website-assets.s3.amazonaws.com/elsa-logo.png"
            alt="Elsa Logo"
            style={{ width: "auto", height: "80px" }}
          />
        </a>
      </Container>
      <Container
        width="fill-available"
        alignRight
        alignBottom
        paddingRight={16}
      >
        <NavBar
          linkColor={colors.purple}
          linkFontSize={24}
          subLinkFontSize={20}
          hoverColor={colors.cyan}
          menuItems={menuItems}
        />
      </Container>
    </Container>
  </StyledElsaHomePage>
);
